Skip to navigation

Get Detection Items

GA
Get the detection items associated to an active model within your organization on AmniSphere.

Path parameters

model_idstringRequired
The model ID of an active and trained AI model within your organization.

Headers

x-api-keystringRequired
Your organization's active API Key.

Query parameters

organizationIdstringRequiredformat: "uuid"
Your organization's unique identifier.

Response

200 - Items retrieved successfully

idstringOptionalformat: "uuid"
The detection item id of an object associated to the model provided. This will match the detection item id in the library for this object.
labelstringOptional
The object name of an object associated to the model provided. This will match the object name in the library for this object.
organizationIdstringOptionalformat: "uuid"
Your organization's unique identifier.
attributesmap from strings to stringsOptional
A map of attributes associated with an object within the model provided. These attributes will match the attributes within the library for this object.
deleted_atdatetime or nullOptional
The date and time at which this object was deleted within your organization's library. This value will always be null for active objects.
created_atdatetimeOptional
The date and time at which this object was originally created within your organization's library.
updated_atdatetimeOptional
The date and time at which this object was last updated within your organization's library.

Errors

400
Bad Request Error
401
Unauthorized Error